Skip to main content

Get a unit detail by ID.

GEThttps://api.propexo.com/v1/units/details/:unit_detail_id

Note: "Unit Details" are not units themselves, but rather details regarding application/listing information on a unit. This is a separate concept from generic units data, and is required to be enabled as its own model. It is uncommon for customers to require this data. Please contact support with questions

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

unit_detail_id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required
  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the unit

    created_atstringrequired

    The date record first entered Propexo

    updated_atstringrequired

    The date record was last updated in Propexo

    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    x_idstringrequired

    The external ID from the integration vendor

    x_property_idstringrequired

    The external ID of the property from the integration vendor

    x_location_idstring | nullnullablerequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    x_building_idstring | nullnullablerequired

    The external ID of the building (not necessarily the property) from the integration vendor

    x_floor_plan_idstring | nullnullablerequired

    The external ID of the floor plan from the integration vendor

    building_numberstring | nullnullablerequired

    The building number associated with the unit

    make_ready_datestring | nullnullablerequired

    The make ready date of the unit

    made_ready_datestring | nullnullablerequired

    The made ready date of the unit

    reserved_until_datestring | nullnullablerequired

    The date the unit is reserved until

    floor_plan_market_rent_in_centsnumber | nullnullablerequired

    The market rent cost of the floor plan, in cents

    Example: 100000
    unit_market_rent_in_centsnumber | nullnullablerequired

    The market rent cost of the unit, in cents

    Example: 100000
    base_rent_in_centsnumber | nullnullablerequired

    The base rent cost of the unit, in cents

    Example: 100000
    unit_numberstring | nullnullablerequired

    The unit number

    descriptionstring | nullnullablerequired

    Description of the unit

    floor_plan_namestring | nullnullablerequired

    The floor plan name associated with the unit

    accessible_hearingboolean | nullnullablerequired

    Whether or not the unit is accessible for the hearing impaired

    accessible_mobilityboolean | nullnullablerequired

    Whether or not the unit is accessible for the mobility impaired

    accessible_visionboolean | nullnullablerequired

    Whether or not the unit is accessible for the vision impaired

    is_vacantboolean | nullnullablerequired

    Whether the unit is vacant

    is_availableboolean | nullnullablerequired

    Whether the unit is available

    is_reservedboolean | nullnullablerequired

    Whether the unit is reserved

    available_datestring | nullnullablerequired

    The date that the unit becomes available

    notesstring | nullnullablerequired

    Notes associated with the unit

    gross_square_feetintegerrequired

    The gross square footage of the unit

    Possible values: >= 0

    rentable_square_feetintegerrequired

    The rentable square footage of the unit

    Possible values: >= 0

    citystring | nullnullablerequired

    The city associated with the unit

    countrystring | nullnullablerequired

    The country associated with the unit

    statestring | nullnullablerequired

    The state associated with the unit

    address_1string | nullnullablerequired

    The first address line associated with the unit

    address_2string | nullnullablerequired

    The second address line associated with the unit

    zipstring | nullnullablerequired

    The zip code associated with the unit

    maximum_potential_lease_termstring | nullnullablerequired

    The maximum potential lease term of the unit

    minimum_potential_lease_termstring | nullnullablerequired

    The minimum potential lease term of the unit

    integration_idstringrequired

    The Propexo unique identifier for the integration

    integration_vendorEnum1required

    The property management system of record

    Show 13 enum values
    APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    property_idstringrequired

    The Propexo unique identifier for the property

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/units/details/:unit_detail_id
curl https://api.propexo.com/v1/units/details/:unit_detail_id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_property_id": "string",
"x_location_id": "string",
"x_building_id": "string",
"x_floor_plan_id": "string",
"building_number": "string",
"make_ready_date": "string",
"made_ready_date": "string",
"reserved_until_date": "string",
"floor_plan_market_rent_in_cents": 100000,
"unit_market_rent_in_cents": 100000,
"base_rent_in_cents": 100000,
"unit_number": "string",
"description": "string",
"floor_plan_name": "string",
"accessible_hearing": true,
"accessible_mobility": true,
"accessible_vision": true,
"is_vacant": true,
"is_available": true,
"is_reserved": true,
"available_date": "string",
"notes": "string",
"gross_square_feet": 0,
"rentable_square_feet": 0,
"city": "string",
"country": "string",
"state": "string",
"address_1": "string",
"address_2": "string",
"zip": "string",
"maximum_potential_lease_term": "string",
"minimum_potential_lease_term": "string",
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"property_id": "string"
}
}